﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace pointToIndex
{
    public partial class MainPage : ContentPage
    {
        private Label popupLabel;
        private bool ispopupDisplayed = false;
        private string currentColumnName;
        Point a;

        public MainPage()
        {
            a = new Point(5, 5);
            InitializeComponent();
            grid.BackgroundColor = Color.Yellow;
            grid.RowDefinitions.Add(new RowDefinition());

            Button button = new Button();
            button.Clicked += Button_Clicked;
            button.Text = "Click";
            grid.Children.Add(button);
            CreateToolTip();
            //datagrid.GridDoubleTapped += Datagrid_GridDoubleTapped;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            if (!ispopupDisplayed)
            {
                //currentColumnName = datagrid.Columns[e.RowColumnIndex.ColumnIndex].MappingName;
                //var point = datagrid.RowColumnIndexToPoint(e.RowColumnIndex);
                a.X += 15;
                a.Y += 15;
                // CreateToolTip();
                relativeLayout.Children.Add(popupLabel, Constraint.Constant(a.X + 50), Constraint.Constant(a.Y + 30));
                //var rowData = datagrid.GetRecordAtRowIndex(e.RowColumnIndex.RowIndex);
                //var cellValue = datagrid.GetCellValue(rowData, currentColumnName);
                //popupLabel.Text = cellValue.ToString();
                popupLabel.Text = "X=" + a.X.ToString() + ", Y=" + a.Y.ToString();
                ispopupDisplayed = true;
            }
            else
            {
                relativeLayout.Children.Remove(popupLabel);
                ispopupDisplayed = false;
            }
        }

        private void Datagrid_GridTapped(object sender, GridTappedEventsArgs e)
        {
            relativeLayout.Children.Remove(popupLabel);
            ispopupDisplayed = false;
        }
        public void CreateToolTip()
        {
            popupLabel = new Label();
            popupLabel.HorizontalTextAlignment = TextAlignment.Center;
            popupLabel.VerticalTextAlignment = TextAlignment.Center;
            popupLabel.WidthRequest = 90;
            popupLabel.HeightRequest = 50;
            popupLabel.BackgroundColor = Color.Gray;
            popupLabel.TextColor = Color.Black;
        }
        private void Datagrid_GridDoubleTapped(object sender, GridDoubleTappedEventsArgs e)
        {
            if (!ispopupDisplayed)
            {
                //currentColumnName = datagrid.Columns[e.RowColumnIndex.ColumnIndex].MappingName;
                //var point = datagrid.RowColumnIndexToPoint(e.RowColumnIndex);
                var point = new Point(a.X + 15, a.Y + 15);

                //CreateToolTip();
                relativeLayout.Children.Add(popupLabel, Constraint.Constant(point.X + 50), Constraint.Constant(point.Y + 30));
                //var rowData = datagrid.GetRecordAtRowIndex(e.RowColumnIndex.RowIndex);
                //var cellValue = datagrid.GetCellValue(rowData, currentColumnName);
                //popupLabel.Text = cellValue.ToString();
                popupLabel.Text = "X=" + point.X.ToString() + ", Y=" + point.Y.ToString();
                ispopupDisplayed = true;
            }
            else
            {
                relativeLayout.Children.Remove(popupLabel);
                ispopupDisplayed = false;
            }
        }
    }
}
